Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox says it is version 5.0, but when I try to install addons, they say it is only 2.0.0.7

more options

I know Firefox is up to date at 5.0, but it won't let me install any addons because they think it is only at version 2.0.0.7. I reinstalled it twice and restarted my computer, but it still isn't working.

All Replies (1)

more options